import request from '@/utils/request'

// 查询命令日志列表
export function listCommandLog(query) {
  return request({
    url: '/system/commandLog/list',
    method: 'get',
    params: query
  })
}

// 查询命令日志详细
export function getCommandLog(id) {
  return request({
    url: '/system/commandLog/' + id,
    method: 'get'
  })
}

// 新增命令日志
export function addCommandLog(data) {
  return request({
    url: '/system/commandLog',
    method: 'post',
    data: data
  })
}

// 修改命令日志
export function updateCommandLog(data) {
  return request({
    url: '/system/commandLog',
    method: 'put',
    data: data
  })
}

// 删除命令日志
export function delCommandLog(id) {
  return request({
    url: '/system/commandLog/' + id,
    method: 'delete'
  })
}
